<?
error_reporting(E_ALL^E_NOTICE);
if(isset($_GET['obmen']) && isset($mc) && $mcu['status']==1)
{
$cena=5000;
if($mc['rubies']>=$cena)
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_collective_heli` WHERE `id_collective` = '$mc[id]' AND `heli` = '1'"),0)!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_collective_heli` WHERE `id_collective` = '$mc[id]' AND `heli` = '2'"),0)!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_collective_heli` WHERE `id_collective` = '$mc[id]' AND `heli` = '3'"),0)!=0)
{
if(isset($_GET['ok']))
{
$shmel=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_collective_heli` WHERE `id_collective` = '$mc[id]' AND `heli` = '1' LIMIT 1"));
$yastreb=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_collective_heli` WHERE `id_collective` = '$mc[id]' AND `heli` = '2' LIMIT 1"));
$drakon=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_collective_heli` WHERE `id_collective` = '$mc[id]' AND `heli` = '3' LIMIT 1"));
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."', `tehnika` = '".($mc['tehnika']+3000)."' WHERE `id` = '$mc[id]'");
mysql_query("UPDATE `kolhoz_collective_heli` SET `heli` = '4', `gaz` = '2500' WHERE `id` = '$shmel[id]'");
mysql_query("UPDATE `kolhoz_collective_heli` SET `heli` = '0' WHERE `id` = '$yastreb[id]'");
mysql_query("UPDATE `kolhoz_collective_heli` SET `heli` = '0' WHERE `id` = '$drakon[id]'");
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Вертолёт \"Гром\" успешно куплен!</span></li></ul></div>";
}
podtv("?shop=helicopter&4&obmen&ok","?shop=helicopter&4");
include_once 'inc/foot.php';
}
else err_game("В колхозном ангаре нет нужных вертолётов.");
}
else no_rubies_ct($cena-$mc['rubies']);
}


if(isset($_GET['buy']) && isset($mc) && $mcu['status']==1)
{
$cena=25000;
if($mc['rubies']>=$cena)
{
if(isset($_GET['ok']))
{

mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."', `tehnika` = '".($mc['tehnika']+3000)."',`grom`=`grom`+'1' WHERE `id` = '$mc[id]'");

echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Вертолёт \"Гром\" успешно куплен!</span></li></ul></div>";

}
else
{
echo "<div class='event'><h1>Подтверждение</h1></div><div class='content'><div class='block'><ul class='block'><li><span class='title'>Вы уверены?</span></li><li class='pt'><img alt='' width='16' height='16' src='images/icons/tick.png'> <a href='?shop=helicopter&4&buy&ok'><span> Да, подтверждаю</span></a></li><li><img alt='' width='16' height='16' src='images/icons/cross.png'> <a href='?shop=helicopter&4'><span> Нет, отказываюсь</span></a></li></ul></div>";
$pt=1;
}
}
else
{
no_rubies_ct($cena-$mc['rubies']);
}
}
if(!isset($pt))echo "<div class='event'><h1>Гром</h1></div>
<div class='content'>
<div class='block'>
<ul>
<li><span>
<img width='64' height='64' src='images/grom1.png'
alt='o' class='portrait'>
<div>
<span class='epic'>Гром</span> - универсальный вертолёт, совмещает в себе свойства трех
вертолетов: Шмель, Ястреб, Дракон.<br/>
Прилетая на ферму, вертолет оставляет после себя три бонуса, каждый из которых действует в
течение 1-го часа. За один перелет потребляет 25 тонн топлива, вместимость бака <span class='title'>2500</span> тонн.</div>
<div style='clear:both'></div>
<h3>Действие бонуса</h3>
<div>
Дает три бонуса от вертолетов: Шмель, Ястреб,
Дракон.<br/>Механизация колхоза увеличивается на 3000.
</div>
<div class='pt'>
<img width='16' height='16' src='images/icons/tick.png' alt='o'> <span>".($mc && $mcu['status']==1?"<a href='?shop=helicopter&4&buy'>":null)."Купить".(isset($mc) && $mcu['status']==1?"</a>":null)." <span>Грома</span></span>, цена: <span class='title'><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>25 тыс.</span></span>
</div>
<div class='pt'><img width='16' height='16' src='images/icons/tick.png' alt='o'> ".(isset($mc) && $mcu['status']==1?"<a href='?shop=helicopter&4&obmen'>":"<span>")."Обменять Шмель, Ястреб и Дракон на Гром".(isset($mc) && $mcu['status']==1?"</a>":"</span>").", цена: <span class='title'><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>5 тыс.</span></span></div>
</span></li>
<div class='pt minor'>
Покупать вертолёты могут только председатели колхоза из средств колхозной кассы.<br/>
Для покупки вертолёта - в колхозном ангаре должна быть свободная вертолётная площадка.
</div>
</ul>
<div class='pt'>
<img width='16' height='16' src='images/icons/cart.png' alt='o'>
<a href='?shop'>В магазин</a>
</div>
</div>";
include_once 'inc/foot.php';
?>
